SDL Library Documentation
Prev |  | Next

# SDL_GetRGBA

## Name

SDL_GetRGBA -- Get RGBA values from a pixel in the specified pixel format.

## Synopsis

    #include "SDL.h"

``void SDL_GetRGBA`(Uint32 pixel, SDL_PixelFormat *fmt, Uint8 *r, Uint8 *g, Uint8 *b, Uint8 *a);`

## Description

Get RGBA component values from a pixel stored in the specified pixel format.

This function uses the entire 8-bit [0..255] range when converting color components from pixel formats with less than 8-bits per RGB component (e.g., a completely white pixel in 16-bit RGB565 format would return [0xff, 0xff, 0xff] not [0xf8, 0xfc, 0xf8]).

If the surface has no alpha component, the alpha will be returned as 0xff (100% opaque).

## See Also

SDL_GetRGB, SDL_MapRGB, SDL_MapRGBA, SDL_PixelFormat

Prev | Home | Next
SDL_GetRGB | Up | SDL_CreateRGBSurface